/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_BRANCH_SHARE') 
 CREATE TABLE T_TCCIT_BRANCH_SHARE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUNIFIEDSOCIALCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXOFFICE BIGINT DEFAULT 0 NOT NULL,
FSUMSCHEME BIGINT DEFAULT 0 NOT NULL,
FDECLARATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIOD DATETIME,
FINCOME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALARY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSET DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHARERATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHAREID VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRMC VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_BRANCH_SHARE_DET') 
 CREATE TABLE T_TCCIT_BRANCH_SHARE_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FTABLETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE BIGINT DEFAULT 0 NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FENTRYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FITEMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_table.sql **/
